org.apache.flume.conf

## Interface Configurable

- All Known Subinterfaces:
    AsyncHbaseEventSerializer, ChannelSelector, ElasticSearchClient, ElasticSearchEventSerializer, ElasticSearchIndexRequestBuilderFactory, EventValidator.Builder, HbaseEventSerializer, HDFSWriter, HiveEventSerializer, HTTPSourceHandler, IndexNameBuilder, Interceptor.Builder, LoadBalancingSinkProcessor.SinkSelector, MonitorService, MorphlineHandler, RegexExtractorInterceptorSerializer, SinkProcessor
  All Known Implementing Classes:
    AbstractAvroEventSerializer, AbstractChannel, AbstractChannelSelector, AbstractElasticSearchIndexRequestBuilderFactory, AbstractEventDrivenSource, AbstractHDFSWriter, AbstractPollableSource, AbstractRpcSink, AbstractSinkProcessor, AbstractSinkSelector, AsyncHBaseSink, AvroEventSerializer, AvroLegacySource, AvroSink, AvroSource, BasicChannelSemantics, BasicSourceSemantics, BlobHandler, BLOBHandler, ChannelProcessor, DatasetSink, DefaultSinkProcessor, ElasticSearchDynamicSerializer, ElasticSearchLogStashEventSerializer, ElasticSearchRestClient, ElasticSearchSink, ElasticSearchTransportClient, EmbeddedSource, EventSerializerIndexRequestBuilderFactory, ExecSource, FailoverSinkProcessor, FileChannel, FlumeEventAvroEventSerializer, GangliaServer, HBaseSink, HDFSCompressedDataStream, HDFSDataStream, HDFSEventSink, HDFSSequenceFile, HiveDelimitedTextSerializer, HiveJsonSerializer, HiveSink, HostInterceptor.Builder, HTTPMetricsServer, HTTPSource, IRCSink, JdbcChannel, JMSSource, JSONHandler, KafkaChannel, KafkaSink, KafkaSource, LoadBalancingSinkProcessor, LoggerSink, MemoryChannel, MorphlineHandlerImpl, MorphlineInterceptor.Builder, MorphlineSink, MorphlineSolrSink, MultiplexingChannelSelector, MultiportSyslogTCPSource, NetcatSource, NullSink, PseudoTxnMemoryChannel, RegexExtractorInterceptor.Builder, RegexExtractorInterceptorMillisSerializer, RegexExtractorInterceptorPassThroughSerializer, RegexFilteringInterceptor.Builder, RegexHbaseEventSerializer, ReplicatingChannelSelector, RollingFileSink, ScribeSource, SearchAndReplaceInterceptor.Builder, SequenceGeneratorSource, SimpleAsyncHbaseEventSerializer, SimpleHbaseEventSerializer, SimpleIndexNameBuilder, SinkGroup, SpillableMemoryChannel, SpoolDirectorySource, StaticInterceptor.Builder, StressSource, SyslogTcpSource, SyslogUDPSource, TaildirSource, ThriftLegacySource, ThriftSink, ThriftSource, TimeBasedIndexNameBuilder, TimestampInterceptor.Builder, TwitterSource, UUIDInterceptor.Builder

      @InterfaceAudience.Public
      @InterfaceStability.Stable
      public interface Configurable

  Any class marked as Configurable may have a context including its sub-configuration passed to it, requesting it configure itself.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.

- - ### Method Detail

    - #### configure

          void configure(Context context)

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Parameters:
        `context` -

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.